Bug 160769 - Support WebIDL unions (Part 1)
Summary: Support WebIDL unions (Part 1)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords:
Depends on: 160805
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-11 10:35 PDT by Sam Weinig
Modified: 2016-08-18 19:56 PDT (History)
4 users (show)

See Also:


Attachments
Patch (33.43 KB, patch)
2016-08-11 20:21 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (33.40 KB, patch)
2016-08-18 15:13 PDT, Sam Weinig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2016-08-11 10:35:06 PDT
Update the IDL parser to parse types more accurately
Comment 1 Sam Weinig 2016-08-11 20:21:00 PDT
Created attachment 285884 [details]
Patch
Comment 2 Chris Dumez 2016-08-11 20:45:02 PDT
Comment on attachment 285884 [details]
Patch

Very nice. r=me as long as it builds on all ports.
Comment 3 Sam Weinig 2016-08-11 21:35:59 PDT
Committed r204404: <http://trac.webkit.org/changeset/204404>
Comment 4 WebKit Commit Bot 2016-08-12 09:50:11 PDT
Re-opened since this is blocked by bug 160805
Comment 5 Sam Weinig 2016-08-18 15:13:20 PDT
Created attachment 286402 [details]
Patch
Comment 6 Sam Weinig 2016-08-18 19:56:26 PDT
Re-landed in https://trac.webkit.org/changeset/204626.